﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using Infragistics.Documents.Excel;
using System.IO;
using System.Collections.ObjectModel;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<GridData> DataSource { get; set; }
     
        public MainPage()
        {
            InitializeComponent();
            CreateData();
            datagrid.ItemsSource = DataSource;
            

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            XamGridExcelExporter excelExporter = new XamGridExcelExporter();
            
          
            SaveFileDialog dialog;

            dialog = new SaveFileDialog { Filter = "Excel Workbook (.xlsx) |*.xlsx", DefaultExt = "xlsx" };

            if (dialog.ShowDialog().Value)
            {
                try
                {
                    // Create a Workbook object with one Worksheet
                    Workbook workbook = new Workbook();
                    Worksheet worksheet = workbook.Worksheets.Add("Sheet1");
                    workbook.SetCurrentFormat(WorkbookFormat.Excel2007);

                    // Export the xamGrid data to the Workbook object
                    excelExporter.Export(datagrid, workbook);

                    Stream stream = dialog.OpenFile();

                    // Save the file using the Save method of the Workbook object.
                    workbook.Save(stream);
                    stream.Close();
                }
                catch (Exception exc)
                {
                    MessageBox.Show(exc.Message);
                }

            }
            
        }

        private void CreateData()
        {
            DataSource = new ObservableCollection<GridData>();
          
            Uri u = new Uri(App.Current.Host.Source,"check-16.png");
           
            for (int i = 0; i < 10; i++)
            {
                
                DataSource.Add(new GridData()
                {
                    ID=i,Name="Name " +i.ToString(),RecDesc = "Description",Image=u
                });
            }
        }
    }
}
